import { ElementRef, OnChanges, OnInit } from '@angular/core';
import { LayOutModel } from '../styles/style.model';
import { EventsService } from '../services/events.service';
import * as i0 from "@angular/core";
export declare class ContentFitDirective implements OnInit, OnChanges {
    private el;
    private eventService;
    layout?: LayOutModel;
    constructor(el: ElementRef, eventService: EventsService);
    ngOnInit(): void;
    ngOnChanges(): void;
    appply(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentFitDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ContentFitDirective, "[simpoLayout]", never, { "layout": { "alias": "simpoLayout"; "required": false; }; }, {}, never, never, true, never>;
}
